Subject: bug#61183: 29.0.60; Add describe-repeat-maps to the manual

From: Eli Zaretskii <[email-masked]>
Date: Tue, 31 Jan 2023 16:07:05 +0200

> From: Robert Pluim <[email-masked]>
> Cc: Juri Linkov <[email-masked]>,  [email-masked]
> Date: Tue, 31 Jan 2023 10:45:25 +0100
> 
>     Eli> And even if you only consider experienced users, how can a user
>     Eli> understand that these commands support repeating?  Which part(s) of
>     Eli> that buffer say that in terns that are clear enough?  A naïve reader
>     Eli> of the buffer will just see a list of commands and their bindings,
>     Eli> preceded by a sentence whose intent is hard to understand without some
>     Eli> background in Emacs keymaps.
> 
> 
> How about putting something like
> 
> If `repeat-mode' is enabled, these keymaps determine which single key 
> can be used to repeat a command invoked via a full key sequence.
> 
> in the buffer produced by `descripe-repeat-maps'?

This text is much better, thanks.  However, it only talks about the
keymaps, whereas the window we pop shows also some key bindings for
each keymap.  The explanatory text should say something about that as
well, I think.  Such an explanation would probably clarify why the
text says "single" in "single key", which currently looks "out of the
blue".